import { InputLayoutType } from "../../Types/Layout";
import { IXlr } from "../../Types/XLR";
import OverlayLayout from "./OverlayLayout";
export declare class OverlayLayoutManager {
    overlays: OverlayLayout[];
    container: HTMLElement;
    parent: IXlr;
    constructor();
    parseOverlays(list: any[]): Promise<Awaited<OverlayLayout[]>>;
    prepareOverlayLayouts(list: InputLayoutType[], parent: IXlr): Promise<void>;
    playOverlays(): void;
    stopOverlays(): void;
    resumeOverlays(): Promise<void>;
}
